﻿using SafeCampus.Application.Services.Business.PersonInfoService;
namespace SafeCampus.Web.Core.Controllers.Application.Violation;

/// <summary>
/// 学校画像控制器
/// </summary>
[ApiDescriptionSettings(ApiGroupConsts.SYSTEM_Business, Tag = "学校画像", Order = 85)]
[Route("violation/portraitSummary")]
[RolePermission]
public class VioPortraitSummary
{
    private readonly IPersonInfoService _personInfoService;

    public VioPortraitSummary(IPersonInfoService personInfoService)
    {
        _personInfoService = personInfoService;
    }

    /// <summary>
    /// 获取学生性别
    /// </summary>
    /// <returns></returns>
    public async Task<dynamic> GetStudentSex()
    {
        var label = new List<string> { "男", "女" };
        var nan = await _personInfoService.GetCount("GENDER_MALE");
        var nv = await _personInfoService.GetCount("GENDER_FEMALE");
        var value = new List<int>() { nan, nv };
        return new { label, value };
    }

    /// <summary>
    /// 获取学生年龄
    /// </summary>
    /// <returns></returns>
    public async Task<dynamic> GetStudentAge()
    {
        return await _personInfoService.GetAge();
    }

    /// <summary>
    /// 获取地理位置
    /// </summary>
    /// <returns></returns>
    public async Task<dynamic> GetAddress()
    {
        var random = new Random();
        var label = new List<string> { "太原", "大同", "朔州", "忻州", "阳泉", "吕梁", "晋中", "长治", "晋城", "临汾", "运城" };
        var value = label.Select(item => random.Next(12, 999)).ToList();
        //var value = new List<int>() { 10, 5, 8, 5, 1, 3, 4, 7, 6, 5, 1 };
        return new { label, value };
    }

    /// <summary>
    /// 获取属性标签
    /// </summary>
    /// <returns></returns>
    public async Task<dynamic> GetStudentAttr()
    {
        var random = new Random();
        var label = new List<string> { "打闹", "趴桌子", "爱运动", "喜欢读书", "性格孤僻" };
        var value = label.Select(item => random.Next(12, 99)).ToList();
        //var value = new List<int>() { 10, 5, 8, 5, 1 };
        return new { label, value };
    }
    /// <summary>
    /// 获取学生属性标签
    /// </summary>
    /// <returns></returns>
    public async Task<dynamic> GetStudentDetail()
    {
        var random = new Random();
        var label = new List<string> { "打闹", "趴桌子", "爱运动", "喜欢读书", "性格孤僻" };
        var value = label.Select(item => random.Next(2, 20)).ToList();
        //var value = new List<int>() { 10, 5, 8, 5, 1 };
        return new { label, value };
    }

}